PopupWindowDecorator
Date: 2017-02-11

org.fife.ui.rsyntaxtextarea

## Class PopupWindowDecorator

- java.lang.Object
- - org.fife.ui.rsyntaxtextarea.PopupWindowDecorator

-     public abstract class PopupWindowDecorator
      extends java.lang.Object

  A hook allowing hosting applications to decorate JWindows created by the AutoComplete library. For example, you could use the JGoodies library to add drop shadows to the windows.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PopupWindowDecorator()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `decorate(javax.swing.JWindow window)` Callback called whenever an appropriate JWindow is created by the AutoComplete library.
    `static PopupWindowDecorator` | `get()` Returns the singleton instance of this class.
    `static void` | `set(PopupWindowDecorator decorator)` Sets the singleton instance of this class.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PopupWindowDecorator

          public PopupWindowDecorator()

  - ### Method Detail

    - #### decorate

          public abstract void decorate(javax.swing.JWindow window)

      Callback called whenever an appropriate JWindow is created by the AutoComplete library. Implementations can decorate the window however they see fit.
      Parameters:
        `window` - The newly-created window.

    - #### get

          public static PopupWindowDecorator get()

      Returns the singleton instance of this class. This should only be called on the EDT.
      Returns:
        The singleton instance of this class, or `null` for none.
      See Also:
        `set(PopupWindowDecorator)`

    - #### set

          public static void set(PopupWindowDecorator decorator)

      Sets the singleton instance of this class. This should only be called on the EDT.
      Parameters:
        `decorator` - The new instance of this class. This may be `null`.
      See Also:
        `get()`